### Method

# GObject ParamSpecPool lookup

#### Declaration [src]

    GParamSpec*
    g_param_spec_pool_lookup (
      GParamSpecPool* pool,
      const gchar* param_name,
      GType owner_type,
      gboolean walk_ancestors
    )

#### Description [src]

Looks up a `GParamSpec` in the pool.

#### Parameters

`param_name`

  Type: `const gchar*`

  The name to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`owner_type`

  Type: `GType`

  The owner to look for.

`walk_ancestors`

  Type: `gboolean`

  If `TRUE`, also try to find a `GParamSpec` with `param_name` owned by an ancestor of `owner_type`.

#### Return value

Type: `GParamSpec`

The found `GParamSpec`, or `NULL` if no matching `GParamSpec` was found.

The returned data is owned by the instance.
The return value can be `NULL`.